Bug 57739 - Fails to build with autoconf 2.52
Fails to build with autoconf 2.52
Product: Red Hat Raw Hide
Classification: Retired
Component: bonobo (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2001-12-20 11:45 EST by Enrico Scholz
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-13 11:24:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-12-20 11:45:08 EST
When trying to build bonobo-1.0.17 with current rawhide toolset (autoconf
2.52, automake 1.5) I get a bunch of errors:

| $ rpm --rebuild bonobo-1.0.17-1.src.rpm 
| ...
| /usr/share/automake/am/depend2.am: AMDEP does not appear in AM_CONDITIONAL
/usr/share/automake/am/lang-compile.am: AMDEP does not appear in AM_CONDITIONAL
| error: Bad exit status from /var/tmp/rpm-tmp.75398 (%prep)
|     Bad exit status from /var/tmp/rpm-tmp.75398 (%prep)

I suggest either to remove the 'autoconf' in the %prep section entirely and
making '%define __libtoolize :'; or to apply the patch given in

Then the 'autoconf' in the %prep section must be replaced by 

| autoreconf -i -f
Comment 1 Enrico Scholz 2001-12-20 11:46:10 EST
I forgot:

The patch will need a

| BuildRequires: intltool
Comment 2 Havoc Pennington 2002-02-08 18:24:31 EST
Fixed, thanks

Note You need to log in before you can comment on or make changes to this bug.